import request from '@/utils/holmesRequest'

export function getMockList(queryInfo) {
  return request({
    url: '/list/mock',
    method: 'get',
    params: queryInfo
  })
}

export function addMock(data) {
  return request({
    url: '/add/mock',
    method: 'post',
    data
  })
}

export function editMock(data) {
  return request({
    url: '/edit/mock',
    method: 'post',
    data
  })
}

export function getMockModuleList(queryInfo) {
  return request({
    url: '/list/mock/module',
    method: 'get',
    params: queryInfo
  })
}
